Bug 157671 - gnome-terminal display is corrupted by vt100+ escape sequences
gnome-terminal display is corrupted by vt100+ escape sequences
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-13 12:23 EDT by John Whitley
Modified: 2008-02-07 23:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:23:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Whitley 2005-05-13 12:23:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050223 Firefox/1.0.1

Description of problem:
Using gnome-terminal via ssh/telnet to Unix (HP-UX 11.11 and Solaris 9) box running curses based application, some escape sequences were intermitantly not rendered, particular attribute change after cursor postion. The effect was as though the leading escape character was being dropped i.e. the visible characters were displayed. (tcpdump showed escape character was present). This occurred after update to latest FC3 version of libvte( vte-0.11.13-1.fc3 ). Going back to libvte.so.4.4.0 from previous version vte-0.11.11-6 fixed problem

Version-Release number of selected component (if applicable):
vte-0.11.13-1.fc3

How reproducible:
Always

Steps to Reproduce:
1.Run curses application, particularly with line drawing but not essential
2.Observe results
3.
  

Actual Results:  Display is corrupted

Expected Results:  Clean display

Additional info:

I am sorry that I cannot easily give you a concrete example on how to reproduce. However both the curses based applications we use suffered from this problem. 
Curiously 'vi' (which can be affected by curses issues) did not show this problem.

I am willing to assist in fixing the problem (testing etc)
Comment 1 Warren Togami 2005-05-13 21:22:41 EDT
Be sure to report this upstream in GNOME's Bugzilla.  Make it clear that this is
a regression that happened sometime between those versions.  Mention the exact
Fedora package version that was unaffected.
Comment 2 Matthew Miller 2006-07-10 19:12:46 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-07 23:23:46 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.